Back to API List Use this API to create bulk contacts from a CSV file with the given stream ID.Documentation Index
Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
| Method | POST |
|---|---|
| Endpoint | https://{host}/agentassist/api/v1/public/{{botId}}/contacts/import-contacts |
| Content-Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token |
| API Scope | Configuration |
Path Parameters
| Parameter | Description | Type |
|---|---|---|
host | Environment URL, for example, https://platform.kore.ai | string, required |
botId | BotId or StreamId. You can get it from the App Settings page. | string, required |
contacts | Contact details. For example, firstName, salutation, cellPhoneNumber, cellPhoneCountryCode, cellPhoneExtension. | string, required |
Sample CSV File

Sample Request
Saving contacts through the public API allows duplicate names with different numbers but prevents the same number from being associated with different or identical names. Backward compatibility to delete existing duplicate numbers will not be provided.
Body Parameters
| Parameter | Description | Type |
|---|---|---|
firstName | The first name of the contact. | string, required |
lastName | The last name of the contact. | string, required |
salutation | The salutation (Mr. or Mrs.) of the contact. | string, required |
cellPhoneNumber | The phone number of the contact. | string, required |
cellPhoneCountryCode | The country code of the contact. | string, required |
cellPhoneExtension | The extension of the contact. | string, required |